#include <iostream>

unsigned long long a = 1ll << 32, b = (1ll << 32) + 1;
int main() {
	std::cout << a << std::endl << b << std::endl;
	std::cout << a * b << std::endl;
	std::cout << a - b;
	return 0;
}